juzu

## Class Response.Status

- java.lang.Object
- - juzu.Response
  - - juzu.Response.Status

- Direct Known Subclasses:
    Response.Body
  Enclosing class:
    Response

      public static class Response.Status
      extends Response

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class juzu.Response

      `Response.Action, Response.Body, Response.Content, Response.Error, Response.Redirect, Response.Render, Response.Status, Response.View`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response.Status(int code)`
    `Response.Status(int code, PropertyMap properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response.Body` | `body(byte[] s)`
    `Response.Body` | `body(CharSequence s)`
    `Response.Body` | `body(InputStream s)`
    `Response.Body` | `body(Streamable s)`
    `Response.Content` | `content(byte[] s)`
    `Response.Content` | `content(CharSequence s)`
    `Response.Content` | `content(InputStream s)`
    `Response.Content` | `content(Streamable s)`
    `int` | `getCode()`

    - ### Methods inherited from class juzu.Response

      `content, content, content, content, content, error, error, getProperties, notFound, notFound, notFound, notFound, notFound, ok, ok, ok, ok, ok, redirect, status, with, with, withHeader, withNo, without`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Response.Status

          public Response.Status(int code)

    - #### Response.Status

          public Response.Status(int code,
                         PropertyMap properties)

  - ### Method Detail

    - #### getCode

          public final int getCode()

    - #### body

          public Response.Body body(Streamable s)

    - #### body

          public Response.Body body(CharSequence s)

    - #### body

          public Response.Body body(byte[] s)

    - #### body

          public Response.Body body(InputStream s)

    - #### content

          public Response.Content content(Streamable s)

    - #### content

          public Response.Content content(CharSequence s)

    - #### content

          public Response.Content content(byte[] s)

    - #### content

          public Response.Content content(InputStream s)

Copyright © 2013 eXo Platform SAS. All Rights Reserved.